Get an activity

get

Retrieve a single customer activity by ID.

Authorizations
AuthorizationstringRequired

Bearer {apikey}

Path parameters
agentIdstringRequired

The ID of the agent.

customerIdstringRequired

The ID of the customer.

activityIdstringRequired

The ID of the activity.

Responses
chevron-right
200

Successful Response

application/json
idstringRequired

The unique identifier for the activity

typestring · enumRequired

The type of activity

Possible values:
agentIdstringRequired

The ID of the agent this activity belongs to

customerIdstringRequired

The ID of the customer this activity belongs to

contentobjectRequired

Type-specific structured content for the activity

createdAtstring · date-timeRequired

ISO8601 timestamp when the activity was created

updatedAtstring · date-timeRequired

ISO8601 timestamp when the activity was last updated

sessionIdstringOptional

Session ID (present for call activities)

threadIdstringOptional

Thread ID (present for message activities)

messageIdstringOptional

Message ID (present for message activities)

inboxIdstring · nullableOptional

Inbox ID (present for inbox-related activities)

opportunityIdstringOptional

Opportunity ID (present for opportunity activities)

eventIdstringOptional

Calendar event ID (present for calendar event activities)

smsIdstringOptional

SMS ID (present for calendar event SMS activities)

get
/v1/agents/{agentId}/customers/{customerId}/activity/{activityId}

Last updated